package com.ys.bdtp.adm.mvvm.ui.compose

import androidx.compose.foundation.background
import androidx.compose.foundation.layout.Column
import androidx.compose.foundation.layout.fillMaxHeight
import androidx.compose.foundation.layout.fillMaxWidth
import androidx.compose.foundation.layout.padding
import androidx.compose.runtime.Composable
import androidx.compose.ui.Modifier
import androidx.compose.ui.graphics.Color
import androidx.compose.ui.unit.dp
import com.google.accompanist.insets.LocalWindowInsets
import com.google.accompanist.insets.rememberInsetsPaddingValues

@Composable
fun Content(
    modifier: Modifier = Modifier.fillMaxWidth().fillMaxHeight()
        .background(Color.White)
        .padding(
            rememberInsetsPaddingValues(
                LocalWindowInsets.current.navigationBars,
                additionalBottom = 12.dp
            )
        ),
    content: @Composable () -> Unit
) {
    Column(
        modifier = modifier
    ) {
        content()
    }
}